#1899 closed defect (fixed)

spfatal14, spfatal15, and spfatal16 fail on SIS

Reported by: Sebastian Huber Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: unspecified Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

spfatal14:

Fatal error (fail to open stdout) hit
ERROR==> Fatal Error Expected (Unknown Internal Rtems Error (0x55544431)) received (Unknown Internal Rtems Error (0x55544432))

spfatal15:

* TEST FATAL 15 *
Fatal error (fail to open stderr) NOT hit

spfatal15:

Fatal error (termios sem create #1) hit
ERROR==> Fatal Error Expected (RTEMS_TOO_MANY) received (Unknown Internal Rtems Error (0x55544431))

I use one PR for this since all failures are related to miscalculated semaphore counts.

Attachments (1)

pr1899.diff (2.0 KB) - added by Joel Sherrill on Aug 21, 2011 at 8:04:00 PM.
Adjust semaphores to consume

Download all attachments as: .zip

Change History (4)

Changed on Aug 21, 2011 at 8:04:00 PM by Joel Sherrill

Attachment: pr1899.diff added

Adjust semaphores to consume

comment:1 Changed on Aug 21, 2011 at 8:04:38 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

Committing change in pr.

comment:2 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

comment:3 Changed on Oct 10, 2017 at 6:46:55 AM by Sebastian Huber

Component: testingunspecified
Note: See TracTickets for help on using tickets.